import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import Accordion from './index';
import {
  text,
  boolean,
  number,
  object,
  array,
  selectV2,
  date,
  color,
  button,
  select
} from '@storybook/addon-knobs/react';
import { withInfo } from '@storybook/addon-info';
import {Box,CloseButton} from '../Utils'

storiesOf('Accordion', module)
  .add('Accordion',
     withInfo('info')(
          () => (
              <Accordion
                renderBase={(toggle)=>Box('20px','200px','blue',CloseButton(toggle))}
                renderBody={(toggle)=>Box('200px','200px','red',CloseButton(toggle))}
              />
          )
     ))